Package htsjdk.samtools.cram.compression.range

# Class ByteModel

java.lang.Object
htsjdk.samtools.cram.compression.range.ByteModel

public class ByteModel extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int[]`
`frequencies`
`final int`
`maxSymbol`
`final int[]`
`symbols`
`int`
`totalFrequency`

## Constructor Summary

Constructors
Constructor
Description
`ByteModel(int numSymbols)`

## Method Summary

Modifier and Type
Method
Description
`int`
`modelDecode(ByteBuffer inBuffer, RangeCoder rangeCoder)`
`void`
`modelEncode(ByteBuffer outBuffer, RangeCoder rangeCoder, int symbol)`
`void`
`modelRenormalize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### totalFrequency

public int totalFrequency

### maxSymbol

public final int maxSymbol

### symbols

public final int[] symbols

### frequencies

public final int[] frequencies

## Constructor Details

### ByteModel

public ByteModel(int numSymbols)

## Method Details

### modelDecode

public int modelDecode(ByteBuffer inBuffer, RangeCoder rangeCoder)

### modelRenormalize

public void modelRenormalize()

### modelEncode

public void modelEncode(ByteBuffer outBuffer, RangeCoder rangeCoder, int symbol)